Bullet Collision Detection & Physics Library: btQuickprof.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
btQuickprof.cpp File Reference
`#include "btQuickprof.h"`
`#include "btThreads.h"`
`#include <windows.h>`
`#include <time.h>`
Include dependency graph for btQuickprof.cpp:

Go to the source code of this file.

## Classes
struct | btClockData

## Macros
#define | BT_USE_WINDOWS_TIMERS
#define | WIN32_LEAN_AND_MEAN
#define | NOWINRES
#define | NOMCX
#define | NOIME
#define | GetTickCount64 GetTickCount
#define | mymin(a, b)

## Functions
void | btEnterProfileZoneDefault (const char *name)
void | btLeaveProfileZoneDefault ()
unsigned int | btQuickprofGetCurrentThreadIndex2 ()
void | btEnterProfileZone (const char *name)
void | btLeaveProfileZone ()
btEnterProfileZoneFunc * | btGetCurrentEnterProfileZoneFunc ()
btLeaveProfileZoneFunc * | btGetCurrentLeaveProfileZoneFunc ()
void | btSetCustomEnterProfileZoneFunc (btEnterProfileZoneFunc *enterFunc)
void | btSetCustomLeaveProfileZoneFunc (btLeaveProfileZoneFunc *leaveFunc)

## Variables
static btEnterProfileZoneFunc * | bts_enterFunc = btEnterProfileZoneDefault
static btLeaveProfileZoneFunc * | bts_leaveFunc = btLeaveProfileZoneDefault

## Macro Definition Documentation

## ◆ BT_USE_WINDOWS_TIMERS

#define BT_USE_WINDOWS_TIMERS

Definition at line 35 of file btQuickprof.cpp.

## ◆ GetTickCount64

#define GetTickCount64 GetTickCount

Definition at line 47 of file btQuickprof.cpp.

## ◆ mymin

#define mymin | ( |  | a,
|  |  | b )

Value:
(a > b ? a : b)

Definition at line 64 of file btQuickprof.cpp.

## ◆ NOIME

#define NOIME

Definition at line 39 of file btQuickprof.cpp.

## ◆ NOMCX

#define NOMCX

Definition at line 38 of file btQuickprof.cpp.

## ◆ NOWINRES

#define NOWINRES

Definition at line 37 of file btQuickprof.cpp.

## ◆ WIN32_LEAN_AND_MEAN

#define WIN32_LEAN_AND_MEAN

Definition at line 36 of file btQuickprof.cpp.

## Function Documentation

## ◆ btEnterProfileZone()

void btEnterProfileZone | ( | const char * | name | ) |

Definition at line 770 of file btQuickprof.cpp.

## ◆ btEnterProfileZoneDefault()

void btEnterProfileZoneDefault | ( | const char * | name | ) |

Definition at line 706 of file btQuickprof.cpp.

## ◆ btGetCurrentEnterProfileZoneFunc()

btEnterProfileZoneFunc * btGetCurrentEnterProfileZoneFunc | ( |  | ) |

Definition at line 779 of file btQuickprof.cpp.

## ◆ btGetCurrentLeaveProfileZoneFunc()

btLeaveProfileZoneFunc * btGetCurrentLeaveProfileZoneFunc | ( |  | ) |

Definition at line 783 of file btQuickprof.cpp.

## ◆ btLeaveProfileZone()

void btLeaveProfileZone | ( |  | ) |

Definition at line 774 of file btQuickprof.cpp.

## ◆ btLeaveProfileZoneDefault()

void btLeaveProfileZoneDefault | ( |  | ) |

Definition at line 709 of file btQuickprof.cpp.

## ◆ btQuickprofGetCurrentThreadIndex2()

unsigned int btQuickprofGetCurrentThreadIndex2 | ( |  | ) |

Definition at line 741 of file btQuickprof.cpp.

## ◆ btSetCustomEnterProfileZoneFunc()

void btSetCustomEnterProfileZoneFunc | ( | btEnterProfileZoneFunc * | enterFunc | ) |

Definition at line 788 of file btQuickprof.cpp.

## ◆ btSetCustomLeaveProfileZoneFunc()

void btSetCustomLeaveProfileZoneFunc | ( | btLeaveProfileZoneFunc * | leaveFunc | ) |

Definition at line 792 of file btQuickprof.cpp.

## Variable Documentation

## ◆ bts_enterFunc

btEnterProfileZoneFunc* bts_enterFunc = btEnterProfileZoneDefault
| static

Definition at line 767 of file btQuickprof.cpp.

## ◆ bts_leaveFunc

btLeaveProfileZoneFunc* bts_leaveFunc = btLeaveProfileZoneDefault
| static

Definition at line 768 of file btQuickprof.cpp.